Subject: [Dime] [Errata Verified] RFC6733 (4808)

From: RFC Errata System <[email-masked]>
Date: Wed, 4 Jan 2017 09:30:10 -0800 (PST)

The following errata report has been verified for RFC6733,
"Diameter Base Protocol". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6733&eid=4808

--------------------------------------
Status: Verified
Type: Technical

Reported by: Zbigniew Rapnicki <[email-masked]>
Date Reported: 2016-09-22
Verified by: Benoit Claise (IESG)

Section: 1.1.3

Original Text
-------------
This document obsoletes RFC 3588 but is fully backward compatible
   with that document.

Corrected Text
--------------
This document obsoletes RFC 3588.

Notes
-----
When comparing the BNF for the answer messages CEA, DPA, DWA, RAA, STA and ASA it can be seen that FAILED-AVP avp is no longer marked with the * which means it can be present only once in the diameter message.
Previous specification (rfc3588) defines multiple FAILED-AVP avp usage in a single diameter message.
Similar case is for Vendor-Specific-Application-Id AVP definition. 
Previous specification allows multiple usage of Vendor-Id avp in a single message while the new specification defines it as a single mandatory AVP:
rfc3588:
<Vendor-Specific-Application-Id> ::= < AVP Header: 260 >
                                     1* [ Vendor-Id ]
                                     0*1{ Auth-Application-Id }
                                     0*1{ Acct-Application-Id }

rfc6733:
<Vendor-Specific-Application-Id> ::= < AVP Header: 260 >
                                           { Vendor-Id }
                                           [ Auth-Application-Id ]
                                           [ Acct-Application-Id ]
										   
How this facts applies to the sentence about fully backward compatibility in the section 1.1.3?

--------------------------------------
RFC6733 (draft-ietf-dime-rfc3588bis-33)
--------------------------------------
Title               : Diameter Base Protocol
Publication Date    : October 2012
Author(s)           : V. Fajardo, Ed., J. Arkko, J. Loughney, G. Zorn, Ed.
Category            : PROPOSED STANDARD
Source              : Diameter Maintenance and Extensions
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG